/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

#include "Primitives/Knowledge/InworldKnowledgeTypes.h"

#include "InworldRuntimeSettings.h"
#include "InworldRuntimeUtils.h"

THIRD_PARTY_INCLUDES_START
#include "InworldRuntimeLibrary/inworld.h"
THIRD_PARTY_INCLUDES_END

DEFINE_LOG_CATEGORY(LogInworldKnowledge);

namespace inworld
{
void Convert(const FInworldRetrievalConfig& In, inworld::RetrievalConfig& Out)
{
#if defined(INWORLD_IMPLEMENTATION)
	Out.threshold(In.Threshold);
	Out.top_k(In.TopK);
#endif
}
}	 // namespace inworld
